%global minver -1

Summary:        Video game music file emulation/playback library
Name:           game-music-emu
Version:        0.6.3
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://bitbucket.org/mpyne/game-music-emu/wiki/Home
Source0:        https://github.com/ShiftMediaProject/game-music-emu/archive/refs/tags/%{version}%{?minver}.tar.gz

BuildRequires:  gcc gcc-c++ make  cmake
BuildRequires:  zlib-devel SDL2-devel
Provides:       libgme = %{version}-%{release}

%description
%{name} is a collection of audio emulators for assorted video game console hardware,
which allows audio applications to easily add playback support for the music of many
classic video game consoles. Currently supports SNES's SPC700, Genesis's GYM,
NES's NSF (and NSFE), Game Boy's GBS, along with AY, KSS, HES, VGM and SAP formats.


%package devel
Summary:        Development files for Game_Music_Emu
Requires:       %{name} = %{version}
Requires:       pkgconfig

%description devel
This package contains development files for %{name}.


%package player
Summary:        Demo player utilizing Game_Music_Emu
License:        MIT

%description player
This package contains the demo player supported by %{name}.


%prep
%autosetup -n %{name}-%{version}%{?minver}
echo -e "\ninstall(TARGETS gme_player RUNTIME DESTINATION %{_bindir})" >> player/CMakeLists.txt


%build
%cmake -D ENABLE_UBSAN:BOOL=OFF
%cmake_build
%cmake_build --target gme_player


%install
%cmake_install
pushd %{_vpath_builddir}/player
make install DESTDIR=%{buildroot}
popd


%files
%license license.txt
%doc changes.txt readme.txt
%{_libdir}/libgme.so.*


%files devel
%doc design.txt gme.txt
%{_libdir}/libgme.so
%{_libdir}/pkgconfig/libgme.pc
%{_includedir}/gme/


%files player
%{_bindir}/gme_player


%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.6.3-1-1
- Upgrade to version 0.6.3-1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.3-3
- Rebuilt for SDL2 2.28.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 rockerzhu <rockerzhu@tencent.com> - 0.6.3-1
- Initial build.
